<%@ Page Language="VB" AutoEventWireup="false" CodeFile="GridUploads.aspx.vb" Inherits="GridUploads" %>

<html>
<head>
<title>Untitled Page</title>

<style type="text/css">
body, td, th { font-family:Verdana;font-size:8pt; }
</style>

<script type="text/javascript">

function StartFilesUpload() {
	var i, frm, studentId;
	
	for (i = 0; i < window.frames.length; i++) {
		frm = window.frames[i];
		
		// skip other iframes that may be present in the document
		if (!frm.name) continue;
		if (!frm.name.indexOf("upfrm") == 0) continue;
		
		// skip iframes that are related to already processed
		if (frm.location.href == "about:blank") continue;
		
		// skip iframes that have already been processed
		if (!frm.document.getElementById("pnlUploadControl")) continue;
		
		//skip iframes that have no file selected
		if (frm.document.getElementById("upFile").value == "") continue;
		
		// get StudentID to which iframe is linked to
		studentId = frm.name.replace("upfrm", "");
		
		// hide the upload control, and display nice progress animation
		frm.document.getElementById("imgLoader").style.display = "block";
		frm.document.getElementById("pnlUploadControl").style.display = "none";
		
		// invoke upload in iframe
		frm.document.getElementById("btnUpload").click();
		
		// break the loop, to have only one upload at a time
		break;
	}

}

</script>

</head>
<body>
<form id="frmMain" runat="server">



<asp:Panel ID="pnlMain" runat="server">

	<asp:GridView ID="gvUploads" AutoGenerateColumns="false" 
		Width="350" RowStyle-Height="25"
		CellPadding="0" CellSpacing="0"
		runat="server">
	<Columns>
	
	<asp:BoundField 
		DataField="StudentID" HeaderText="ID" 
		ItemStyle-Width="20" ItemStyle-HorizontalAlign="center" 
		/>
	
	<asp:BoundField 
		DataField="StudentName" HeaderText="Name"
		ItemStyle-HorizontalAlign="center" 
		/>
	
	<asp:TemplateField ItemStyle-Width="250" ItemStyle-HorizontalAlign="center">
		<ItemTemplate>
			
			<iframe 
				name="upfrm<%#DataBinder.Eval(Container, "DataItem.StudentID")%>"
				id="upfrm<%#DataBinder.Eval(Container, "DataItem.StudentID")%>"
				src="<%# IIf(CBool(DataBinder.Eval(Container, "DataItem.IsPictureUploaded")), "", Request.Url.ToString() & "?MODE=UPLOAD&ID=" & DataBinder.Eval(Container, "DataItem.StudentID")) %>" 
				style="width:240px;height:25px;<%#IIf(CBool(DataBinder.Eval(Container, "DataItem.IsPictureUploaded")), "display:none;", "")%>" 
				scrolling="no" 
				frameborder="0"
				>
				</iframe>
				
			<%#IIf(CBool(DataBinder.Eval(Container, "DataItem.IsPictureUploaded")), "File exists", "")%>

		</ItemTemplate>
	</asp:TemplateField>
	
	</Columns>
	</asp:GridView>
	
	<asp:Button 
		ID="btnStartUpload" 
		Text="Start Pictures Upload" 
		OnClientClick="StartFilesUpload();return false;" 
		runat="server" 
		/>

</asp:Panel>

<asp:Panel ID="pnlUpload" 
	style="position:absolute;top:0;left:0;" 
	runat="server">

	<asp:Image id="imgLoader" ImageUrl="uploading.gif" 
		style="display:none;margin:5px;" runat="server" />
	
	<asp:Panel id="pnlUploadControl" runat="server">
	
		<asp:FileUpload ID="upFile" runat="server" />
		
		<asp:Button ID="btnUpload" 
			style="visibility:hidden;" runat="server" />
		
	</asp:Panel>

	<p style="margin:5px;">
		<asp:Label ID="lblMessage" runat="server" />
	</p>
	
</asp:Panel>




</form>
</body>
</html>
